PyList (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyList

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PySequence
                  |
                  +--org.python.core.PyList

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

public class PyList
extends PySequence
implements ClassDictInit

A builtin python list.

See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__`

Constructor Summary
`PyList()`
`PyList(PyObject[] elements)`
`PyList(java.util.Vector ilist)`

Method Summary
`PyObject` | `__add__(PyObject genericOther)` Equivalent to the standard Python __add__ method
`PyObject` | `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`PyObject` | `__iadd__(PyObject o)` Equivalent to the standard Python __iadd__ method
`PyObject` | `__imul__(PyObject o)` Equivalent to the standard Python __imul__ method
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`void` | `append(PyObject o)` Add a single element to the end of list.
`static void` | `classDictInit(PyObject dict)` Internal use only.
`int` | `count(PyObject o)` Return the number elements in the list that equals the argument.
`void` | `extend(PyObject o)` Append the elements in the argument sequence to the end of the list.
`int` | `hashCode()`
`int` | `index(PyObject o)` return smallest index where an element in the list equals the argument.
`void` | `insert(int index, PyObject o)` Insert the argument element into the list at the specified index.
`PyObject` | `pop()` Removes and return the last element in the list.
`PyObject` | `pop(int n)` Removes and return the `n` indexed element in the list.
`void` | `remove(PyObject o)` Remove the first occurence of the argument from the list.
`void` | `reverse()` Reverses the items of s in place.
`java.lang.String` | `safeRepr()`
`void` | `sort()` Sort the items of the list in place.
`void` | `sort(PyObject compare)` Sort the items of the list in place.
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject
`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __finditem__, __float__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, invoke, invoke, invoke, isCallable, isSequenceType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __class__

    public static PyClass __class__

Constructor Detail

### PyList

    public PyList()

### PyList

    public PyList(java.util.Vector ilist)

### PyList

    public PyList(PyObject[] elements)

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyObject`
    `PyIgnoreMethodTag`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. By default, this method will call `__findattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance. Warning: name must be an interned string!!!!!!!!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### __imul__

    public PyObject __imul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __imul__ method

  Overrides:
    `__imul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __add__

    public PyObject __add__(PyObject genericOther)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `genericOther` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### append

    public void append(PyObject o)

  Add a single element to the end of list.

  Parameters:
    `o` - the element to add.

### count

    public int count(PyObject o)

  Return the number elements in the list that equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### index

    public int index(PyObject o)

  return smallest index where an element in the list equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### insert

    public void insert(int index,
                       PyObject o)

  Insert the argument element into the list at the specified index.
  Same as `s[index:index] = [o] if index >= 0`.

  Parameters:
    `index` - the position where the element will be inserted.
    `o` - the element to insert.

### remove

    public void remove(PyObject o)

  Remove the first occurence of the argument from the list. The elements arecompared with the `==` operator.
  Same as `del s[s.index(x)]`

  Parameters:
    `o` - the element to search for and remove.

### reverse

    public void reverse()

  Reverses the items of s in place. The reverse() methods modify the list in place for economy of space when reversing a large list. It doesn't return the reversed list to remind you of this side effect.

### pop

    public PyObject pop()

  Removes and return the last element in the list.

### pop

    public PyObject pop(int n)

  Removes and return the `n` indexed element in the list.

  Parameters:
    `n` - the index of the element to remove and return.

### extend

    public void extend(PyObject o)

  Append the elements in the argument sequence to the end of the list.
  Same as `s[len(s):len(s)] = o`.

  Parameters:
    `o` - the sequence of items to append to the list.

### __iadd__

    public PyObject __iadd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __iadd__ method

  Overrides:
    `__iadd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### sort

    public void sort(PyObject compare)

  Sort the items of the list in place. The compare argument is a function of two arguments (list items) which should return -1, 0 or 1 depending on whether the first argument is considered smaller than, equal to, or larger than the second argument. Note that this slows the sorting process down considerably; e.g. to sort a list in reverse order it is much faster to use calls to the methods sort() and reverse() than to use the built-in function sort() with a comparison function that reverses the ordering of the elements.

  Parameters:
    `compare` - the comparison function.

### sort

    public void sort()

  Sort the items of the list in place. Items is compared with the normal relative comparison operators.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage